.k-treelist {
  color: #1C1B1B;
  font-size: 16px;

  .module-name-col {
    display: flex;
  }

  .k-header {
    padding: 8px 12px !important;
    font-size: 16px;
    color: #1C1B1B;
    text-align: center;
  }

  .k-i-collapse, .custom-role {
    color: #00AEEF;
  }

  .small.k-switch.three-state {
    &.intermediate {
      .k-switch-handle {
        left: calc(50% - 10px) !important;
      }
    }
  }

  .permissions-toggle-group {
    background: #FAFAFA;
    border: none;
    border-radius: 4px;
    min-width: auto;

    &:disabled {
      opacity: 0.5;
    }

    .mat-button-toggle {
      min-width: 47px;
      width: 47px;
      background: #FAFAFA;
      border: none;
      border-left: 1px solid #D8D8D8;
      border-top: 1px solid #D8D8D8;
      border-bottom: 1px solid #D8D8D8;
      box-shadow: 0 2px 0 0 #D8D8D8;

      &.mat-button-toggle-disabled {
        opacity: 0.5;
      }

      &:first-child {
        border-radius: 6px 0 0 6px;
      }

      &:last-child {
        border-right: 1px solid #D8D8D8;
        border-radius: 0 6px 6px 0;
      }

      &.mat-button-toggle-checked {
        background: #b195db;
        box-shadow: 0 2px 0 0 #394085;
        border: none;
        border-left: 1px solid #b195db;
        border-top: 1px solid #b195db;
        border-bottom: 1px solid #b195db;
      }
    }
  }
}
